tigase.server.ext.handlers

## Class JabberClientStreamOpenHandler

- java.lang.Object
- - tigase.server.ext.handlers.JabberClientStreamOpenHandler

- All Implemented Interfaces:
    StreamOpenHandler

      public class JabberClientStreamOpenHandler
      extends Object
      implements StreamOpenHandler

  Created: Oct 7, 2009 3:17:09 PM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `XMLNS` Field description

    - ### Fields inherited from interface tigase.server.ext.StreamOpenHandler

      `XMLNS_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JabberClientStreamOpenHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `getXMLNSs()`
    `String` | `serviceStarted(ComponentIOService serv)`
    `String` | `streamOpened(ComponentIOService serv, Map<String,String> attribs, ComponentProtocolHandler handler)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### XMLNS

          public static final String XMLNS

      Field description
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JabberClientStreamOpenHandler

          public JabberClientStreamOpenHandler()

  - ### Method Detail

    - #### getXMLNSs

          public String[] getXMLNSs()

      Specified by:
        `getXMLNSs` in interface `StreamOpenHandler`

    - #### serviceStarted

          public String serviceStarted(ComponentIOService serv)

      Specified by:
        `serviceStarted` in interface `StreamOpenHandler`

    - #### streamOpened

          public String streamOpened(ComponentIOService serv,
                                     Map<String,String> attribs,
                                     ComponentProtocolHandler handler)

      Specified by:
        `streamOpened` in interface `StreamOpenHandler`

Copyright © 2022 "Tigase, Inc.". All rights reserved.